# Inpsyde Assets

[![Version](https://img.shields.io/packagist/v/inpsyde/assets.svg)](https://packagist.org/packages/inpsyde/assets)
[![Status](https://img.shields.io/badge/status-active-brightgreen.svg)](https://github.com/inpsyde/assets)
[![codecov](https://codecov.io/gh/inpsyde/assets/branch/master/graph/badge.svg)](https://codecov.io/gh/inpsyde/assets)
[![Build](https://img.shields.io/travis/inpsyde/assets.svg)](http://travis-ci.org/inpsyde/assets)
[![Downloads](https://img.shields.io/packagist/dt/inpsyde/assets.svg)](https://packagist.org/packages/inpsyde/assets)
[![License](https://img.shields.io/packagist/l/inpsyde/assets.svg)](https://packagist.org/packages/inpsyde/assets)


## Introduction
Inpsyde Assets is a Composer package (not a plugin) that allows to deal with scripts and styles in a WordPress site.

## Installation

```
$ composer require inpsyde/assets
```


## Minimum Requirements and Dependencies

* PHP 7+
* WordPress latest-2

When installed for development, via Composer, Inpsyde Assets also requires:

* phpunit/phpunit (BSD-3-Clause)
* brain/monkey (MIT)
* inpsyde/php-coding-standards


## Documentation

1. [Getting started](docs/00%20-%20Getting%20started.md)
2. [AssetFactory](docs/01%20-%20AssetFactory.md)
3. [Loaders](docs/02%20-%20Loaders.md)
4. [Assets](docs/03%20-%20Assets.md)
5. [OutputFilter](docs/04%20-%20OutputFilter.md)
6. [Helpers](docs/05%20-%20Helpers.md)
7. [Migration](docs/99%20-%20Migration.md)


## License and Copyright

Copyright (c) Inpsyde GmbH.

The team at [Inpsyde](https://inpsyde.com) is engineering the Web since 2006.
